local Srendarr = _G['Srendarr'] -- grab addon table from global

local L = {}

L.Srendarr  = '|c67b1e9S|c4779ce\'rendarr|r'
L.Usage     = '|c67b1e9S|c4779ce\'rendarr|r - Usage: /srendarr lock or unlock to toggle UI movement.'
-- timer strings
L.Time_Seconds          = '%ds'
L.Time_Minutes          = '%dm'
L.Time_Hours            = '%dh'
L.Time_Toggle           = 'T'
L.Time_Passive          = 'P'
L.Time_Cast             = 'Cast'
-- drag overlay labels
L.DragLabel_BuffShort   = 'SHORT'
L.DragLabel_BuffLong    = 'LONG'
L.DragLabel_BuffAll     = 'BUFF'
L.DragLabel_Debuff      = 'DEBUFF'
L.DragLabel_Target      = 'TARGET'

-- ---------------------------------------------------
-- AURA DATA -----------------------------------------
-- ---------------------------------------------------

-- ---------------------------------------------------
-- WEAPONS -------------------------------------------
-- ---------------------------------------------------

-- TWO HANDED ---------------
L.Aura_Cleave                   = 20919
L.Aura_Brawler                  = 38754
L.Aura_Carve                    = 38745
L.Aura_Stampede                 = 21055
L.Aura_Uppercut                 = 28279
L.Aura_Dizzying_Swing           = 38814
L.Aura_Wrecking_Blow            = 38807
L.Aura_Momentum                 = 28297
L.Aura_Forward_Momentum         = 38794
L.Aura_Rally                    = 38802

-- ONE HANDED AND SHIELD ----
L.Aura_Puncture                 = 28306
L.Aura_Pierce_Armor             = 38250
L.Aura_Ransack                  = 38256
L.Aura_Low_Slash                = 28304
L.Aura_Crippling_Slash          = 38264
L.Aura_Deep_Slash               = 38268
L.Aura_Shield_Charge            = 28719
L.Aura_Invasion                 = 38405
L.Aura_Shielded_Assault         = 38401
L.Aura_Power_Bash               = 28365
L.Aura_Power_Slam               = 38452
L.Aura_Reverberating_Bash       = 38455

-- DUAL WEILD ---------------
L.Aura_Twin_Slashes             = 28379
L.Aura_Blood_Craze              = 38845
L.Aura_Rending_Slashes          = 38839
L.Aura_Rapid_Strikes            = 38857
L.Aura_Whirling_Blades          = 38891
L.Aura_Blade_Cloak              = 28613
L.Aura_Quick_Cloak              = 38901
L.Aura_Deadly_Cloak             = 38906
L.Aura_Hidden_Blade             = 21157
L.Aura_Flying_Blade             = 38910
L.Aura_Shrouded_Daggers         = 38914

-- BOW ----------------------
L.Aura_Poison_Arrow             = 28869
L.Aura_Poison_Injection         = 38660
L.Aura_Venom_Arrow              = 38645
L.Aura_Volley                   = 28876
L.Aura_Scorched_Earth           = 38689
L.Aura_Arrow_Barrage            = 38695
L.Aura_Scatter_Shot             = 28879
L.Aura_Draining_Shot            = 38669
L.Aura_Magnum_Shot              = 38672
L.Aura_Arrow_Spray              = 31271
L.Aura_Acid_Spray               = 38701
L.Aura_Bombard                  = 38705
L.Aura_Snipe                    = 28882
L.Aura_Focused_Aim              = 38687
L.Aura_Lethal_Arrow             = 38685

-- DESTRUCTION STAFF --------
L.Aura_Destructive_Touch        = 29091 -- added by silentgecko
L.Aura_Shock_Touch              = 40970 -- added by silentgecko
L.Aura_Frost_Touch              = 40967 -- added by silentgecko
L.Aura_Flame_Touch              = 40965 -- added by silentgecko
L.Aura_Destructive_Clench       = 38984 -- added by silentgecko
L.Aura_Flame_Clench             = 38985 -- added by silentgecko
L.Aura_Shock_Clench             = 41016 -- added by silentgecko
L.Aura_Frost_Clench             = 41013 -- added by silentgecko
L.Aura_Destructive_Reach        = 38937 -- added by silentgecko
L.Aura_Shock_Reach              = 38978 -- added by silentgecko
L.Aura_Flame_Reach              = 38944 -- added by silentgecko
L.Aura_Frost_Reach              = 38970 -- added by silentgecko
L.Aura_Wall_of_Elements         = 28858
L.Aura_Wall_of_Fire             = 28807
L.Aura_Wall_of_Frost            = 28849
L.Aura_Wall_of_Storms           = 28854
L.Aura_Wall_of_Cinders          = 50228
L.Aura_Unstable_Wall_of_Elements = 39052
L.Aura_Unstable_Wall_of_Fire    = 39053
L.Aura_Unstable_Wall_of_Frost   = 39067
L.Aura_Unstable_Wall_of_Storms  = 39073
L.Aura_Unstable_Wall_of_Cinders = 50240
L.Aura_Elemental_Blockade       = 39011
L.Aura_Blockade_of_Fire         = 39012
L.Aura_Blockade_of_Frost        = 39028
L.Aura_Blockade_of_Storms       = 39018
L.Aura_Blockade_of_Cinders      = 50236
L.Aura_Weakness_To_Elements     = 29173
L.Aura_Elemental_Drain          = 39095
L.Aura_Elemental_Susceptibility = 39089
L.Aura_Elemental_Ring           = 39143
L.Aura_Fire_Ring                = 39145
L.Aura_Frost_Ring               = 39146
L.Aura_Shock_Ring               = 39147
L.Aura_Pulsar                   = 39161
L.Aura_Fiery_Pulsar             = 39162
L.Aura_Icy_Pulsar               = 39163
L.Aura_Electric_Pulsar          = 39167

-- RESTORATION STAFF --------
L.Aura_Grand_Healing            = 28385
L.Aura_Healing_Springs          = 40060
L.Aura_Illustrious_Healing      = 40058
L.Aura_Regeneration             = 28536
L.Aura_Mutagen                  = 40079
L.Aura_Rapid_Regeneration       = 40076
L.Aura_Blessing_Of_Protection   = 37243
L.Aura_Blessing_Of_Restoration  = 40103
L.Aura_Combat_Prayer            = 40094
L.Aura_Steadfast_Ward           = 31639
L.Aura_Healing_Ward             = 40126
L.Aura_Ward_Ally                = 40130
L.Aura_Force_Siphon             = 31531
L.Aura_Quick_Siphon             = 40116
L.Aura_Siphon_Spirit            = 40109

-- --------------------------
-- ARMOUR -------------------
-- --------------------------

-- LIGHT ARMOUR -------------
L.Aura_Annulment                = 29338
L.Aura_Dampen_Magic             = 39186
L.Aura_Harness_Magicka          = 39182

-- MEDIUM ARMOUR ------------
L.Aura_Evasion                  = 29556
L.Aura_Elude                    = 39192
L.Aura_Shuffle                  = 39195

-- HEAVY ARMOUR -------------
L.Aura_Immovable                = 29552
L.Aura_Immovable_Brute          = 39205
L.Aura_Unstoppable              = 39197

-- --------------------------
-- GUILDS -------------------
-- --------------------------

-- FIGHTERS GUILD -----------
L.Aura_Expert_Hunter            = 35762
L.Aura_Evil_Hunter              = 40194
L.Aura_Camouflaged_Hunter       = 40195
L.Aura_Circle_of_Protection     = 35737
L.Aura_Turn_Undead              = 40181
L.Aura_Ring_of_Preservation     = 40169

-- MAGES GUILD --------------
L.Aura_Meteor                   = 42461
L.Aura_Ice_Comet                = 42470
L.Aura_Shooting_Star            = 42482
L.Aura_Entropy                  = 28567
L.Aura_Degeneration             = 40457
L.Aura_Structured_Entropy       = 40452
L.Aura_Equilibrium              = 31642
L.Aura_Spell_Symmetry           = 40445
L.Aura_Balance                  = 40444

-- UNDAUNTED ----------------
L.Aura_Inner_Fire               = 39475
L.Aura_Inner_Rage               = 42056
L.Aura_Inner_Beast              = 42060
L.Aura_Bone_Shield              = 39369
L.Aura_Bone_Surge               = 42176
L.Aura_Spiked_Bone_Shield       = 42138

-- --------------------------
-- WORLD --------------------
-- --------------------------

-- SOUL MAGIC ---------------
L.Aura_Soul_Strike              = 39270
L.Aura_Shatter_Soul             = 40414
L.Aura_Soul_Assault             = 40420
L.Aura_Soul_Trap                = 26768
L.Aura_Consuming_Trap           = 40317
L.Aura_Soul_Splitting_Trap      = 40328

-- WEREWOLF -----------------
L.Aura_Hircines_Rage            = 58317 
L.Aura_Hircines_Fortitude       = 58325
L.Aura_Roar                     = 32633
L.Aura_Ferocious_Roar           = 39113
L.Aura_Rousing_Roar             = 39114
L.Aura_Piercing_Howl            = 58405
L.Aura_Howl_of_Despair          = 58742
L.Aura_Howl_of_Agony            = 58798
L.Aura_Infectious_Claws         = 58855
L.Aura_Claws_of_Anguish         = 58864
L.Aura_Claws_of_Life            = 58879

-- VAMPIRE ------------------
L.Aura_Bat_Swarm                = 32624
L.Aura_Clouding_Swarm           = 38932
L.Aura_Devouring_Swarm          = 38931
L.Aura_Drain_Essence            = 32893
L.Aura_Invigorating_Drain       = 38949
L.Aura_Midnight_Drain           = 38956
L.Aura_Mist_Form                = 32986
L.Aura_Elusive_Mist             = 38963
L.Aura_Poison_Mist              = 38965

-- --------------------------
-- ALLIANCE WAR -------------
-- --------------------------

-- ASSAULT ------------------
L.Aura_War_Horn                 = 38563
L.Aura_Aggressive_Horn          = 40223
L.Aura_Sturdy_Horn              = 40220
L.Aura_Rapid_Maneuver           = 38566
L.Aura_Charging_Maneuver        = 40215
L.Aura_Retreating_Maneuver      = 40211
L.Aura_Caltrops                 = 33376
L.Aura_Anti_Cavalry_Caltrops    = 40255
L.Aura_Razor_Caltrops           = 40242

-- SUPPORT ------------------
L.Aura_Barrier                  = 38573
L.Aura_Replenishing_Barrier     = 40239
L.Aura_Reviving_Barrier         = 40237
L.Aura_Siege_Shield             = 38570
L.Aura_Propelling_Shield        = 40226
L.Aura_Siege_Weapon_Shield      = 40229
L.Aura_Purge                    = 38571
L.Aura_Cleanse                  = 40234
L.Aura_Efficient_Purge          = 40232
L.Aura_Magicka_Detonation       = 61487
L.Aura_Inevitable_Detonation    = 61491
L.Aura_Proximity_Detonation     = 61500
L.Aura_Vigor                    = 61503
L.Aura_Echoing_Vigor            = 61505
L.Aura_Resolving_Vigor          = 61507

-- --------------------------
-- CLASS: DRAGONKNIGHT ------
-- --------------------------

-- ARDENT FLAME -------------
L.Aura_Dragonknight_Standard    = 28988
L.Aura_Shifting_Standard        = 32958
L.Aura_Standard_of_Might        = 32947
L.Aura_Fiery_Grip               = 20492
L.Aura_Extended_Chains          = 20496
L.Aura_Empowering_Chains        = 20499
L.Aura_Searing_Strike           = 20657
L.Aura_Unstable_Flame           = 20668
L.Aura_Burning_Embers           = 20660
L.Aura_Fiery_Breath             = 20917
L.Aura_Burning_Breath           = 20944
L.Aura_Engulfing_Flames         = 20930
L.Aura_Lava_Whip                = 20803
L.Aura_Molten_Whip              = 20805
L.Aura_Flame_Lash               = 20816
L.Aura_Power_Lash               = 20824

-- DRACONIC POWER -----------
L.Aura_Ferocious_Leap           = 32715
L.Aura_Spiked_Armor             = 20319
L.Aura_Volatile_Armor           = 20323
L.Aura_Hardened_Armor           = 20328
L.Aura_Dark_Talons              = 20245
L.Aura_Burning_Talons           = 20252
L.Aura_Choking_Talons           = 20251
L.Aura_Dragon_Blood             = 29004
L.Aura_Green_Dragon_Blood       = 32744
L.Aura_Coagulating_Blood        = 32722
L.Aura_Reflective_Scale         = 21007
L.Aura_Reflective_Plate         = 21014
L.Aura_Dragon_Fire_Scale        = 21017

-- EARTHEN HEART ------------
L.Aura_Magma_Armor              = 15957
L.Aura_Magma_Shell              = 17874
L.Aura_Corrosive_Armor          = 17878
L.Aura_Stonefist                = 29032
L.Aura_Obsidian_Shard           = 31820
L.Aura_Stone_Giant              = 31816
L.Aura_Molten_Weapons           = 29043
L.Aura_Igneous_Weapons          = 31874
L.Aura_Molten_Armaments         = 31888
L.Aura_Obsidian_Shield          = 29071
L.Aura_Fragmented_Shield        = 32673
L.Aura_Igneous_Shield           = 29224
L.Aura_Petrify                  = 29037
L.Aura_Fossilize                = 32685
L.Aura_Shattering_Rocks         = 32678
L.Aura_Ash_Cloud                = 29059
L.Aura_Cinder_Storm             = 20779
L.Aura_Eruption                 = 32710

-- --------------------------
-- CLASS: SORCERER ----------
-- --------------------------

-- DAEDRIC SUMMONING --------
L.Aura_Summon_Storm_Atronach    = 23634
L.Aura_Greater_Storm_Atronach   = 23492
L.Aura_Summon_Charged_Atronach  = 23495
L.Aura_Daedric_Curse            = 24326
L.Aura_Daedric_Prey             = 63210 --24328
L.Aura_Velocious_Curse          = 24330
L.Aura_Conjured_Ward            = 28418
L.Aura_Empowered_Ward           = 29482
L.Aura_Hardened_Ward            = 29489

-- DARK MAGIC ---------------
L.Aura_Negate_Magic             = 27706
L.Aura_Absorption_Field         = 28348
L.Aura_Suppression_Field        = 28341
L.Aura_Crystal_Shard            = 43714
L.Aura_Crystal_Blast            = 46331
L.Aura_Crystal_Fragments        = 46324
L.Aura_Encase                   = 28025
L.Aura_Restraining_Prison       = 28311
L.Aura_Shattering_Prison        = 28308
L.Aura_Rune_Prison              = 24371
L.Aura_Rune_Cage                = 24578
L.Aura_Weakening_Prison         = 24574
L.Aura_Dark_Exchange            = 24584
L.Aura_Dark_Conversion          = 24589
L.Aura_Dark_Deal                = 24595
L.Aura_Daedric_Mines            = 24828
L.Aura_Daedric_Minefield        = 24834
L.Aura_Daedric_Tomb             = 24842

-- STORM CALLING ------------
L.Aura_Mages_Fury               = 18718
L.Aura_Endless_Fury             = 19109
L.Aura_Mages_Wrath              = 19123
L.Aura_Lightning_Form           = 23210
L.Aura_Boundless_Storm          = 23213
L.Aura_Thundering_Presence      = 23231
L.Aura_Lightning_Splash         = 23182
L.Aura_Liquid_Lightning         = 23200
L.Aura_Lightning_Flood          = 23205
L.Aura_Surge                    = 23670
L.Aura_Critical_Surge           = 23678
L.Aura_Power_Surge              = 23674
L.Aura_Bolt_Escape              = 23234
L.Aura_Ball_of_Lightning        = 23277
L.Aura_Streak                   = 23236

-- --------------------------
-- CLASS: NIGHTBLADE --------
-- --------------------------

-- ASSASSINATION ------------
L.Aura_Teleport_Strike          = 18342
L.Aura_Ambush                   = 25484
L.Aura_Lotus_Fan                = 25493
L.Aura_Blur                     = 33375
L.Aura_Double_Take              = 35419
L.Aura_Mirage                   = 35414
L.Aura_Mark_Target              = 33357
L.Aura_Piercing_Mark            = 36968
L.Aura_Reapers_Mark             = 36967
L.Aura_Grim_Focus               = 61902
L.Aura_Relentless_Focus         = 61927
L.Aura_Merciless_Resolve        = 61919
L.Aura_Death_Stroke             = 33398
L.Aura_Incapacitating_Strike    = 36508
L.Aura_Soul_Harvest             = 36514

-- SHADOW -------------------
L.Aura_Consuming_Darkness       = 25411
L.Aura_Bolstering_Darkness      = 36493
L.Aura_Veil_of_Blades           = 36485
L.Aura_Shadow_Cloak             = 25375
L.Aura_Shadowy_Disguise         = 25380
L.Aura_Dark_Cloak               = 25377
L.Aura_Veiled_Strike            = 25255
L.Aura_Concealed_Weapon         = 25267
L.Aura_Surprise_Attack          = 25260
L.Aura_Path_of_Darkness         = 33195
L.Aura_Refreshing_Path          = 36028
L.Aura_Twisting_Path            = 36049
L.Aura_Aspect_of_Terror         = 25352
L.Aura_Mass_Hysteria            = 37470
L.Aura_Manifestation_of_Terror  = 37475
L.Aura_Summon_Shade             = 33211
L.Aura_Dark_Shades              = 35434
L.Aura_Shadow_Image             = 35441

-- SIPHONING ----------------
L.Aura_Soul_Shred               = 25091
L.Aura_Soul_Siphon              = 35508
L.Aura_Soul_Tether              = 35460
L.Aura_Strife                   = 33291
L.Aura_Funnel_Health            = 34838
L.Aura_Swallow_Soul             = 34835
L.Aura_Agony                    = 33308
L.Aura_Malefic_Wreath           = 34727
L.Aura_Prolonged_Suffering      = 34721
L.Aura_Cripple                  = 33326
L.Aura_Crippling_Grasp          = 36957
L.Aura_Debilitate               = 36943
L.Aura_Drain_Power              = 33316
L.Aura_Power_Extraction         = 36901
L.Aura_Sap_Essence              = 36891

-- --------------------------
-- CLASS: TEMPLAR -----------
-- --------------------------

-- AEDRIC SPEAR -------------
L.Aura_Radial_Sweep             = 22138
L.Aura_Empowering_Sweep         = 22144
L.Aura_Crescent_Sweep           = 22139
L.Aura_Biting_Jabs              = 26792
L.Aura_Binding_Javelin          = 26804
L.Aura_Focused_Charge           = 22149
L.Aura_Explosive_Charge         = 22161
L.Aura_Toppling_Charge          = 15540
L.Aura_Spear_Shards             = 26188
L.Aura_Luminous_Shards          = 26858
L.Aura_Blazing_Spear            = 26869
L.Aura_Sun_Shield               = 22178
L.Aura_Radiant_Ward             = 22182
L.Aura_Blazing_Shield           = 22180

-- DAWNS WRATH --------------
L.Aura_Nova                     = 21752
L.Aura_Solar_Prison             = 21755
L.Aura_Solar_Disturbance        = 21758
L.Aura_Sun_Fire                 = 21726
L.Aura_Vampires_Bane            = 21729
L.Aura_Reflective_Light         = 21732
L.Aura_Solar_Flare              = 22057
L.Aura_Dark_Flare               = 22110
L.Aura_Solar_Barrage            = 22095
L.Aura_Backlash                 = 21761
L.Aura_Purifying_Light          = 21765
L.Aura_Power_of_the_Light       = 21763
L.Aura_Eclipse                  = 21776
L.Aura_Total_Dark               = 22006
L.Aura_Unstable_Core            = 22004
L.Aura_Radiant_Destruction      = 63029
L.Aura_Radiant_Glory            = 63044
L.Aura_Radiant_Oppresion        = 63046

-- RESTORING LIGHT ----------
L.Aura_Rite_Of_Passage          = 22223
L.Aura_Remembrance              = 22229
L.Aura_Practiced_Incantation    = 22226
L.Aura_Honor_The_Dead           = 22253
L.Aura_Lingering_Ritual         = 22314
L.Aura_Restoring_Aura           = 26209
L.Aura_Radiant_Aura             = 26807
L.Aura_Cleansing_Ritual         = 22265
L.Aura_Extended_Ritual          = 22262
L.Aura_Purifying_Ritual         = 22259
L.Aura_Rune_Focus               = 22234
L.Aura_Channeled_Focus          = 22240
L.Aura_Restoring_Focus          = 22237

-- ---------------------------------------------------
-- TOGGLED EFFECTS -----------------------------------
-- ---------------------------------------------------

L.Toggled_Inferno                   = 25954
L.Toggled_Flames_Of_Oblivion        = 32853
L.Toggled_Sea_Of_Flames             = 32881
L.Toggled_Unstable_Familiar         = 23304
L.Toggled_Unstable_Clannfear        = 23319
L.Toggled_Volatile_Familiar         = 23316
L.Toggled_Summon_Winged_Twilight    = 24613
L.Toggled_Summon_Restoring_Twilight = 24636
L.Toggled_Summon_Twilight_Matriarch = 24639
L.Toggled_Bound_Armor               = 24158
L.Toggled_Bound_Armaments           = 24165
L.Toggled_Bound_Aegis               = 24163
L.Toggled_Siphoning_Strikes         = 33319
L.Toggled_Leeching_Strikes          = 36908
L.Toggled_Siphoning_Attacks         = 36935
L.Toggled_Magelight                 = 30920
L.Toggled_Inner_Light               = 40478
L.Toggled_Radiant_Magelight         = 40483

-- ---------------------------------------------------
-- DAMAGE SHIELDS ------------------------------------
-- ---------------------------------------------------

L.DamageShield_Shielded_Assault     = 38401
L.DamageShield_Brawler              = 38754
L.DamageShield_Steadfast_Ward       = 31639
L.DamageShield_Ward_Ally            = 40130
L.DamageShield_Healing_Ward         = 40126
L.DamageShield_Annulment            = 29338
L.DamageShield_Dampen_Magic         = 39186
L.DamageShield_Harness_Magicka      = 39182
L.DamageShield_Bone_Shield          = 39369
L.DamageShield_Bone_Surge           = 42176
L.DamageShield_Spiked_Bone_Shield   = 42138
L.DamageShield_Barrier              = 38573
L.DamageShield_Replenishing_Barrier = 40239
L.DamageShield_Reviving_Barrier     = 40237
L.DamageShield_Siege_Shield         = 38570
L.DamageShield_Propelling_Shield    = 40226
L.DamageShield_Siege_Weapon_Shield  = 40229
L.DamageShield_Hardened_Armor       = 20328
L.DamageShield_Obsidian_Shield      = 29071
L.DamageShield_Fragmented_Shield    = 32673
L.DamageShield_Igneous_Shield       = 29224
L.DamageShield_Conjured_Ward        = 28418
L.DamageShield_Empowered_Ward       = 29482
L.DamageShield_Hardened_Ward        = 29489
L.DamageShield_Sun_Shield           = 22178
L.DamageShield_Radiant_Ward         = 22182
L.DamageShield_Blazing_Shield       = 22180

-- ---------------------------------------------------
-- VAMP & LYCAN EFFECTS ------------------------------
-- ---------------------------------------------------

L.VampLycan_Fed_on_ally             = 40359
L.VampLycan_Bit_an_ally             = 40525
L.VampLycan_Dark_Stalker            = 33090
L.VampLycan_Supernatural_Recovery   = 33095
L.VampLycan_Stage_1_Vampirism       = 35771
L.VampLycan_Stage_2_Vampirism       = 35772
L.VampLycan_Stage_3_Vampirism       = 35779
L.VampLycan_Stage_4_Vampirism       = 35786
L.VampLycan_Vampirism               = 40360
L.VampLycan_Lycanthropy             = 35658
L.VampLycan_Call_of_the_Pack        = 14271
L.VampLycan_Sanies_Lupinus          = 31068


-- ---------------------------------------------------
-- TRIGGERED EFFECTS ---------------------------------
-- ---------------------------------------------------

L.Trigger_Crystal_Fragments_Passive = 64159
L.Trigger_Assassins_Will            = 61907
L.Trigger_Power_Lash                = 23903
L.Trigger_Deadly_Throw              = 62549

-- ---------------------------------------------------
-- PASSIVE COMPARE -----------------------------------
-- ---------------------------------------------------

L.Passive_Mundus                    = 'Boon:'
L.Passive_HomeKeepBonus             = 'Home Keep Bonus'
L.Passive_EnemyKeepBonus            = 'Enemy Keep Bonus'
L.Passive_ScrollBonus               = 'Scroll Bonus'
L.Passive_Emperorship               = 39671
L.Passive_Battle_Spirit             = 12033
L.Passive_Blessing_of_War           = 66282
L.Passive_SoulSummons               = 39269
--alchemy
L.Passive_MedicinalUse              = 45573
--champion points
L.Passive_SpellShield               = 62760
L.Passive_Nourishing                = 59953
--night blade
L.Passive_SoulSiphoner              = 36603
--light armor
L.Passive_Concentration             = 45562
L.Passive_ESO_Plus_Member           = 63601

-- ---------------------------------------------------
-- ADDITIONAL MAGES GUILD ABILITIES ------------------
-- ---------------------------------------------------

L.MagesGuild_Fire_Rune              = 31632
L.MagesGuild_Volcanic_Rune          = 40470
L.MagesGuild_Scalding_Rune          = 40465

-- ---------------------------------------------------
-- POTION TYPES --------------------------------------
-- ---------------------------------------------------

L.Potion_Sip                        = "Sip of"
L.Potion_Tincture                   = "Tincture"
L.Potion_Serum                      = "Serum"
L.Potion_Dram                       = "Dram of"
L.Potion_Effusion                   = "Effusion"
L.Potion_Potion                     = "Potion"
L.Potion_Draught                    = "Draught"
L.Potion_Solution                   = "Solution"
L.Potion_Philter                    = "Philter"
L.Potion_Elixir                     = "Elixir"
L.Potion_Panacea                    = "Panacea"


-- ---------------------------------------------------
-- SETTINGS ------------------------------------------
-- ---------------------------------------------------

-- dropdown menus
L.DropGrowth1           = 'Up'
L.DropGrowth2           = 'Down'
L.DropGrowth3           = 'Left'
L.DropGrowth4           = 'Left (Centered)'
L.DropGrowth5           = 'Right'
L.DropGrowth6           = 'Right (Centered)'
L.DropSort1             = 'Remaining Time'
L.DropSort2             = 'Ability Name'
L.DropTimer1            = 'Over Icon'
L.DropTimer2            = 'Under Icon'
L.DropTimer3            = 'Above Icon'
L.DropTimer4            = 'Hidden'
-- tabs
L.TabButton1            = 'General'
L.TabButton2            = 'Short Buffs'
L.TabButton3            = 'Long Buffs'
L.TabButton4            = 'Debuffs'
L.TabButton5            = 'Target Buffs'
L.TabButton6            = 'Profiles'
L.TabHeader1            = 'General Settings'
L.TabHeader2            = 'Short & Combined Buff Window Settings'
L.TabHeader3            = 'Long Buff Window Settings'
L.TabHeader4            = 'Debuff Window Settings'
L.TabHeader5            = 'Target Buffs Window Settings'
L.TabHeader6            = 'Profile Settings'
-- example aura names
L.ExampleAura1 = 'Buff'
L.ExampleAura2 = 'Another Buff'
L.ExampleAura3 = 'Yet Another Buff'
L.ExampleAura4 = 'Debuff'
L.ExampleAura5 = 'Another Debuff'
L.ExampleAura6 = 'Yet Another Debuff'
L.ExampleAura7 = 'Timed Aura (Long)'
L.ExampleAura8 = 'Toggled Aura'
L.ExampleAura9 = 'Passive Aura'
-- settings: general tab (1)
L.GeneralAnchorDesc = 'Unlock to allow the aura anchors to be dragged using the mouse. The reset button will return all anchors to their default positions.'
L.GeneralAnchorLock = 'Lock'
L.GeneralAnchorUnlock = 'Unlock'
L.GeneralAnchorReset = 'Reset'
L.GeneralOnlyCombat = 'Only Show During Combat'
L.GeneralOnlyCombatTip = 'Set whether all aura windows are only visible when engaged in combat.'
L.GeneralCombine = 'Combine Buffs'
L.GeneralCombineTip = 'Set whether short term and long term buffs should be combined under a single window or split into two.\n\nWhen split, the buffs that will go into the second (Long) window will be passives, toggles and buffs with selected duration or longer.'
L.GeneralThreshold = 'Short Buffs Threshold'
L.GeneralThresholdTip = 'Game itself reports all buffs with duration of 30 seconds or longer as long term buffs. You can change this threshold here.'
L.GeneralTarget = 'Show Target Auras'
L.GeneralTargetTip = 'Set whether to show your current target\'s long-term buffs, toggles and passives in a seperate window.'
L.GeneralDebuff = 'Show Debuffs'
L.GeneralDebuffTip = 'Set whether your debuffs are displayed in a seperate window. Please note that due to the information presented to mods, these timers can be inaccurate and will not track targets dying or purging the debuff from them and should be used as a guide only.'
L.GeneralDebuffWarn = 'May not be entirely accurate due to API limitations.'
L.GeneralHeaderFiltersPlayer = 'Aura Filters: Player'
L.GeneralHeaderFiltersTarget  = 'Aura Filters: Target'
L.GeneralSoulSummons = 'Show Soul Summons Cooldown'
L.GeneralSoulSummonsTip = 'Set whether the cooldown \'aura\' for Soul Summons is displayed or not.'
L.GeneralToggle = 'Show Toggled Buffs'
L.GeneralToggleTip = 'Set whether toggled buffs with no set duration are displayed or not.\n\nEg: Unstable Familiar'
L.GeneralPassive = 'Show Passive Buffs'
L.GeneralPassiveTip = 'Set whether passive buffs are displayed or not.\n\nEg: Mundus Boons'
L.GeneralCyrodiil = 'Show Cyrodiil Bonuses'
L.GeneralCyrodiilTip = 'Set whether buffs provided during Cyrodiil AvA are shown.\n\nRequires: Show Passive Buffs'
L.GeneralDisguise = 'Show Disguises'
L.GeneralDisguiseTip = 'Set whether active disguises are shown.\n\nRequires: Show Passive Buffs'
L.GeneralAllEffects = 'Show All Effects'
L.GeneralAllEffectsTip = 'Set whether less important effects are shown.\Eg: ESO Plus Member\n\nRequires: Show Passive Buffs'
L.GeneralMundus = 'Show Mundus Boons'
L.GeneralMundusTip = 'Set whether Mundus Stone boons are shown.\n\nRequires: Show Passive Buffs'
L.GeneralVampLycan = 'Show Vampire / Werewolf'
L.GeneralVampLycanTip = 'Set whether to show Vampirism and Lycanthropy buffs.\n\nRequires: Show Passive Buffs'
-- settings: style tabs (2-4) - base
L.WindowAlpha = 'Window Transparency'
L.WindowAlphaTip = 'Set how opaque this aura window is when visible. A setting of 100 makes the window fully opaque.'
L.WindowScale = 'Window Scale'
L.WindowScaleTip = 'Set the size of this aura window as a percentage. A setting of 100 is the default size.'
L.WindowGrowth = 'Aura Growth Direction'
L.WindowGrowthTip = 'Set which direction new auras will grow from the anchor point. For the Centered settings, auras will grow either side of the anchor with ordering determined by the Left/Right prefix.\n\nNote that when displayed horizontally, the name and bar are hidden automatically.'
L.WindowPadding = 'Aura Growth Padding'
L.WindowPaddingTip = 'Set the spacing between each displayed aura.'
L.WindowSort = 'Aura Sorting Order'
L.WindowSortTip = 'Set how auras are sorted. Either by alphabetical name or by remaining duration. When sorting by duration, passive and toggled abilities will always show first followed by timed abilities with those that will fade first furthest away from the anchor.'
L.WindowIconOn = 'Show Ability Icon On The Right'
L.WindowIconOnTip = 'Set whether the aura\'s icon is shown on the right or the left of the name label and statusbar timer when displaying vertically.'
L.WindowShowNameBar = 'Show Ability Name & Timer Bar'
L.WindowShowNameBarTip = 'Set whether the ability name and the statusbar timer should be shown when auras are set to grow vertically.'
L.WindowTooltips = 'Show Ability Name In Tooltips'
L.WindowTooltipsTip = 'Set whether to show the ability name in a mouseover tooltip (over the icon) for each aura.'
-- settings: style tabs (2-4) - name
L.WindowNameHeader = 'Ability Name Text'
L.WindowNameFont = 'Name Style'
-- settings: style tabs (2-4) - timer
L.WindowTimerHeader = 'Timer Text'
L.WindowTimerShowTP = 'Show Timer For Toggles & Passives'
L.WindowTimerShowTPTip = 'Set whether the timer label is shown for (T)oggled and (P)passive abilities. When disabled, the timer label will be hidden for auras without a duration.'
L.WindowTimerHorz = 'Timer Position: Horizontal'
L.WindowTimerHorzTip = 'Set the timer\'s position for each aura when displaying horizontally. A setting of Hidden will stop the timer label showing for any auras.'
L.WindowTimerVert = 'Timer Position: Vertical'
L.WindowTimerVertTip = 'Set the timer\'s position for each aura when displaying vertically. A setting of Hidden will stop the timer label showing for any auras.'
L.WindowTimerFont = 'Timer Style'
-- settings: style tabs (2-4) - bar
L.WindowBarHeader = 'Timer Bar'
L.WindowBarGloss = 'Glossy Bars'
L.WindowBarGlossTip = 'Set whether the timer bar\'s should be glossy when displayed.'
L.WindowBarWidth = 'Bar Width'
L.WindowBarWidthTip = 'Set how wide the timer bar\'s should be when displayed.'
L.WindowBarTimed = 'Colour: Timed Auras'
L.WindowBarTimedTip = 'Set the timer bar colours for auras with a set duration. The left colour choice determines the start of the bar (when it begins counting down) and the second the finish of the bar (when it has almost expired).\n\nThis is the colour that will also be used for auras with a cast time before they apply.'
L.WindowBarToggle = 'Colour: Toggled Auras'
L.WindowBarToggleTip = 'Set the timer bar colours for toggled auras with no set duration. The left colour choice determines the start of the bar (the furthest side from the icon) and the second the finish of the bar (nearest the icon).'
L.WindowBarPassive = 'Colour: Passive Auras'
L.WindowBarPassiveTip = 'Set the timer bar colours for passive auras with no set duration. The left colour choice determines the start of the bar (the furthest side from the icon) and the second the finish of the bar (nearest the icon).'
-- settings: profiles tab (6)
L.ProfileCharacterList = 'Existing Settings'
L.ProfileCharacterListTip = 'List of characters that currently have S\'rendarr settings.'
L.ProfileCopyFrom = 'Copy Settings'
L.ProfileCopyFromTip = 'Copy the settings of the selected character to the currently logged in character.'
L.ProfileCopyFromWarn = 'Clicking this button will reload the UI and permanently overwrite this character\'s settings with those of the selected character.\n\nThis cannot be undone.'

--replace ability IDs with names
for k, v in pairs(L) do
    if type(v) == "number" then
        L[k] = GetAbilityName(v)
    end
end

function Srendarr:GetLocale() -- default locale, will be the return unless overwritten
    return L
end